# unimatch.h File Reference

C++ API: Unicode Matcher. More...

`#include "unicode/utypes.h"`

Go to the source code of this file.

## Data Structures
class | UnicodeMatcher
| `UnicodeMatcher` defines a protocol for objects that can match a range of characters in a Replaceable string. More...
## Enumerations
enum | UMatchDegree { U_MISMATCH, U_PARTIAL_MATCH, U_MATCH }
| Constants returned by `UnicodeMatcher::matches()` indicating the degree of match. More...

## Detailed Description

C++ API: Unicode Matcher.

Definition in file unimatch.h.

## Enumeration Type Documentation

enum UMatchDegree

Constants returned by `UnicodeMatcher::matches()` indicating the degree of match.

Stable:
  ICU 2.4

Enumerator:

  U_MISMATCH | Constant returned by `matches()` indicating a mismatch between the text and this matcher. The text contains a character which does not match, or the text does not contain all desired characters for a non-incremental match. Stable: ICU 2.4
  U_PARTIAL_MATCH | Constant returned by `matches()` indicating a partial match between the text and this matcher. This value is only returned for incremental match operations. All characters of the text match, but more characters are required for a complete match. Alternatively, for variable-length matchers, all characters of the text match, and if more characters were supplied at limit, they might also match. Stable: ICU 2.4
  U_MATCH | Constant returned by `matches()` indicating a complete match between the text and this matcher. For an incremental variable-length match, this value is returned if the given text matches, and it is known that additional characters would not alter the extent of the match. Stable: ICU 2.4

Definition at line 30 of file unimatch.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines